
/*****
      CC_Version.c -
      Implementation of project-specific version functions.  Prototypes are
      found in the command class header.

      c 2019-2020 Primordial Machine Vision Systems
*****/

#include "CC_Version.h"


/***
    CC_Version_getNumberOfFirmwareTargets_handler:  Count firmware targets.
    returns:   number targets available
***/
uint8_t CC_Version_getNumberOfFirmwareTargets_handler(void) {

	return 1;
}

/***
    CC_Version_GetFirmwareVersion_handler:  Sets the version of the given
                                            firmware target.
    args:                                   fwID - firmware identifier
                                            vargrp - firmware version
    modifies:  fwver
***/
void CC_Version_GetFirmwareVersion_handler(uint8_t fwID,
                                           VG_VERSION_REPORT_V2_VG *fwver) {

	fwver->firmwareVersion = 2;
	fwver->firmwareSubVersion = 1;
}

/***
    CC_Version_GetHardwareVersion_handler:  Return hardware version.
    returns:   version
***/
uint8_t CC_Version_GetHardwareVersion_handler(void) {

	return 3;
}

